org.apache.ignite.internal.processors.query.schema

## Class SchemaIndexCacheFuture

- java.lang.Object
- - org.apache.ignite.internal.util.future.GridFutureAdapter<Void>
  - - org.apache.ignite.internal.processors.query.schema.SchemaIndexCacheFuture

All Implemented Interfaces:
  IgniteInternalFuture<Void>

    public class SchemaIndexCacheFuture
    extends GridFutureAdapter<Void>

Extending `GridFutureAdapter` to rebuild indices.

### Constructor Summary

Constructors
Constructor and Description
`SchemaIndexCacheFuture(IndexRebuildCancelToken cancelTok)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`IndexRebuildCancelToken` `cancelToken()` Getting token for canceling index rebuilding.

### Methods inherited from class org.apache.ignite.internal.util.future.GridFutureAdapter

`cancel, chain, chain, chainCompose, chainCompose, error, get, get, get, getUninterruptibly, ignoreInterrupts, isCancelled, isDone, isFailed, listen, logger, onCancelled, onDone, onDone, onDone, onDone, onDone, reset, result, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SchemaIndexCacheFuture

    public SchemaIndexCacheFuture(IndexRebuildCancelToken cancelTok)

Constructor.

Parameters:
  `cancelTok` - Token for canceling index rebuilding.

### Method Detail

#### cancelToken

    public IndexRebuildCancelToken cancelToken()

Getting token for canceling index rebuilding.

Returns:
  Cancellation token.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022